Bug 441859 - rhel5.3: systemtap refresh
rhel5.3: systemtap refresh
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Frank Ch. Eigler
Radek Bíba
: Rebase
Depends On:
Blocks: 449095 RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-04-10 11:45 EDT by Frank Ch. Eigler
Modified: 2009-01-20 16:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
SystemTap has been re-based to version 0.7.2. This update of SystemTap introduces several minor improvements, along with a few major features. These new features include: * SystemTap now supports symbolic probing on x86, x86-64 and PowerPC architectures. This enables SystemTap scripts to place probes into user-space applications and shared libraries. As a result, SystemTap can now provide the same level of debugger probing on some user-space applications as kernel probing. For example, if coreutils-debuginfo is installed, you can print a callgraph of the ls command using /usr/share/doc/systemtap-<version>/examples/general/callgraph.stp, as in: stap para-callgraph.stp 'process("ls").function("*")' -c 'ls -l' In order to reduce the likelihood of an undetected version mismatch between the binary and its debuginfo RPMs, consider setting the "SYSTEMTAP_DEBUGINFO_PATH" environment variable to the value "+:.debug:/usr/lib/debug:build". SystemTap's support for symbolic probes also extends to markers placed into the kernel of this release. To use these markers, load the kernel-trace kernel module in /etc/rc.local (using modprobe kernel-trace). * SystemTap also supports remote compilation services. This enables a single computer on the network to act as a debuginfo/compiler server for local SystemTap clients. The clients auto-locate the server using mDNS (avahi), and only need the systemtap-client and systemtap-runtime packages to work. At present, this feature does not use security mechanisms like encryption. As such, it is advisable to use remote compilation services only within trusted networks. For more information, refer to man stap-server. For a complete list of SystemTap updates included in this release, refer to the following URL: http://sources.redhat.com/git/gitweb.cgi?p=systemtap.git;a=blob_plain;f=NEWS;hb=rhel53
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:06:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2008-04-10 11:45:01 EDT
We'll need to refresh systemtap for RHEL5.3 to bring in features currently being
developed.
Comment 1 RHEL Product and Program Management 2008-06-02 16:08:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Frank Ch. Eigler 2008-07-03 16:16:14 EDT
Major new functionality should arrive for RHEL5.3 from upstream, necessitating a
rebase.
Comment 5 Frank Ch. Eigler 2008-09-19 10:35:34 EDT
brew carries 0.7.2-1.el5

There will need to be several subsequent patches during the beta period, but
this is the big rebase.
Comment 9 Frank Ch. Eigler 2008-10-31 13:22:18 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
This version of systemtap introduces several
minor improvements and a few major features.

One major feature is prototype support for
symbolic user-space probing on some architectures,
including x86, x86-64, ppc64.  This facility
allows systemtap scripts to place probes into
user-space applications and shared libraries,
with the same level of debugger-quality
introspection as for the kernel.

For example, if coreutils-debuginfo is
installed, the following prints a callgraph
of the ls program:

# cd /usr/share/doc/systemtap*/examples/general
# stap para-callgraph.stp 'process("ls").function("*")' -c 'ls -l'

Support for markers has been extended to
handle the tracepoints/markers being placed into
the RHEL5.3 kernel.  Attaching to these requires
loading the "kernel-trace" kernel module.  This
must be loaded manually, for example with a line
"modprobe kernel-trace" in /etc/rc.local.

This version of systemtap also includes
prototype support for a remote compilation
service.  This allows a single computer on
a network to serve as a debuginfo/compiler
server for local systemtap users.  The
clients auto-locate the server using mDNS
(avahi), and need just the "systemtap-client"
and "systemtap-runtime" packages to work.
Please note that this mechanism does not use
security technologies like encryption, so at
this point is only appropriate for use within
trusted networks.  See the stap-server(8) man
page for further details.

For more details on the minor features, see
the NEWS file, or in the version control system
at
http://sources.redhat.com/git/gitweb.cgi?p=systemtap.git;a=blob_plain;f=NEWS;hb=rhel53
Comment 10 Don Domingo 2008-11-16 20:58:31 EST
this bug fix is now documented in the RHEL5.3 release notes. please refer to the following link within the next 24 hours or so to view the most current build:
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.3/html-single/Release_Notes/
Comment 11 Don Domingo 2008-11-16 20:58:31 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,43 +1,17 @@
-This version of systemtap introduces several
-minor improvements and a few major features.
+SystemTap has been re-based to version 0.7.2. This update of SystemTap introduces several minor improvements, along with a few major features. These new features include:
 
-One major feature is prototype support for
-symbolic user-space probing on some architectures,
-including x86, x86-64, ppc64.  This facility
-allows systemtap scripts to place probes into
-user-space applications and shared libraries,
-with the same level of debugger-quality
-introspection as for the kernel.
+* SystemTap now supports symbolic probing on x86, x86-64 and PowerPC architectures. This enables SystemTap scripts to place probes into user-space applications and shared libraries. As a result, SystemTap can now provide the same level of debugger probing on some user-space applications as kernel probing.
 
-For example, if coreutils-debuginfo is
-installed, the following prints a callgraph
-of the ls program:
+For example, if coreutils-debuginfo is installed, you can print a callgraph of the ls command using /usr/share/doc/systemtap-<version>/examples/general/callgraph.stp, as in:
 
-# cd /usr/share/doc/systemtap*/examples/general
-# stap para-callgraph.stp 'process("ls").function("*")' -c 'ls -l'
+stap para-callgraph.stp 'process("ls").function("*")' -c 'ls -l'
 
-Support for markers has been extended to
-handle the tracepoints/markers being placed into
-the RHEL5.3 kernel.  Attaching to these requires
-loading the "kernel-trace" kernel module.  This
-must be loaded manually, for example with a line
-"modprobe kernel-trace" in /etc/rc.local.
+SystemTap's support for symbolic probes also extends to markers placed into the kernel of this release. To use these markers, load the kernel-trace kernel module in /etc/rc.local (using modprobe kernel-trace). 
 
-This version of systemtap also includes
-prototype support for a remote compilation
-service.  This allows a single computer on
-a network to serve as a debuginfo/compiler
-server for local systemtap users.  The
-clients auto-locate the server using mDNS
-(avahi), and need just the "systemtap-client"
-and "systemtap-runtime" packages to work.
-Please note that this mechanism does not use
-security technologies like encryption, so at
-this point is only appropriate for use within
-trusted networks.  See the stap-server(8) man
-page for further details.
+* SystemTap also supports remote compilation services. This enables a single computer on the network to act as a debuginfo/compiler server for local SystemTap clients. The clients auto-locate the server using mDNS (avahi), and only need the systemtap-client and systemtap-runtime packages to work. 
 
-For more details on the minor features, see
-the NEWS file, or in the version control system
-at
+At present, this feature does not use security mechanisms like encryption. As such, it is advisable to use remote compilation services only within trusted networks. For more information, refer to man stap-server.
+
+For a complete list of SystemTap updates included in this release, refer to the following URL:
+
 http://sources.redhat.com/git/gitweb.cgi?p=systemtap.git;a=blob_plain;f=NEWS;hb=rhel53
Comment 13 Frank Ch. Eigler 2008-12-05 12:38:40 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -6,6 +6,8 @@
 
 stap para-callgraph.stp 'process("ls").function("*")' -c 'ls -l'
 
+In order to reduce the likelihood of an undetected version mismatch between the binary and its debuginfo RPMs, consider setting the "SYSTEMTAP_DEBUGINFO_PATH" environment variable to the value "+:.debug:/usr/lib/debug:build".
+
 SystemTap's support for symbolic probes also extends to markers placed into the kernel of this release. To use these markers, load the kernel-trace kernel module in /etc/rc.local (using modprobe kernel-trace). 
 
 * SystemTap also supports remote compilation services. This enables a single computer on the network to act as a debuginfo/compiler server for local SystemTap clients. The clients auto-locate the server using mDNS (avahi), and only need the systemtap-client and systemtap-runtime packages to work.
Comment 15 errata-xmlrpc 2009-01-20 16:06:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0184.html

Note You need to log in before you can comment on or make changes to this bug.